package com.bocloud.cmp.model;

import java.util.List;

/**
 * 京东云同步model
 *
 * @author wangyu
 * @version 1.0
 * @since 2018年1月23日
 */
public class JdSyncModel {
    private List<ServerModel> serverModels;
    private List<ImageModel> imageModels;
    private List<FlavorModel> flavorModels;
    private List<VolumeModel> volumeModels;
    private List<RegionModel> regionModels;
    private List<ZoneModel> zoneModels;
    private List<VpcModel> vpcModels;
    private List<SubnetModel> subnetModels;
    private List<SnapshotModel> snapshotModels;
    private List<SecurityGroupModel> securityGroupModels;
    private List<RouteTableModel> routeTableModels;
    private List<KeypairModel> keypairModels;
    private List<ElasticIpModel> elasticIpModels;

    /**
     *
     */
    public JdSyncModel() {
        super();
    }

    /**
     * @param serverModels
     * @param imageModels
     * @param flavorModels
     */
    public JdSyncModel(List<ServerModel> serverModels, List<ImageModel> imageModels, List<FlavorModel> flavorModels) {
        super();
        this.serverModels = serverModels;
        this.imageModels = imageModels;
        this.flavorModels = flavorModels;
    }

    /**
     * @return the serverModels
     */
    public List<ServerModel> getServerModels() {
        return serverModels;
    }

    /**
     * @param serverModels
     *            the serverModels to set
     */
    public void setServerModels(List<ServerModel> serverModels) {
        this.serverModels = serverModels;
    }

    /**
     * @return the imageModels
     */
    public List<ImageModel> getImageModels() {
        return imageModels;
    }

    /**
     * @param imageModels
     *            the imageModels to set
     */
    public void setImageModels(List<ImageModel> imageModels) {
        this.imageModels = imageModels;
    }

    /**
     * @return the flavorModels
     */
    public List<FlavorModel> getFlavorModels() {
        return flavorModels;
    }

    /**
     * @param flavorModels
     *            the flavorModels to set
     */
    public void setFlavorModels(List<FlavorModel> flavorModels) {
        this.flavorModels = flavorModels;
    }

    public List<VolumeModel> getVolumeModels() {
        return volumeModels;
    }

    public void setVolumeModels(List<VolumeModel> volumeModels) {
        this.volumeModels = volumeModels;
    }

    public List<RegionModel> getRegionModels() {
        return regionModels;
    }

    public void setRegionModels(List<RegionModel> regionModels) {
        this.regionModels = regionModels;
    }

    public List<ZoneModel> getZoneModels() {
        return zoneModels;
    }

    public void setZoneModels(List<ZoneModel> zoneModels) {
        this.zoneModels = zoneModels;
    }

    public List<VpcModel> getVpcModels() {
        return vpcModels;
    }

    public void setVpcModels(List<VpcModel> vpcModels) {
        this.vpcModels = vpcModels;
    }

    public List<SubnetModel> getSubnetModels() {
        return subnetModels;
    }

    public void setSubnetModels(List<SubnetModel> subnetModels) {
        this.subnetModels = subnetModels;
    }

    public List<SnapshotModel> getSnapshotModels() {
        return snapshotModels;
    }

    public void setSnapshotModels(List<SnapshotModel> snapshotModels) {
        this.snapshotModels = snapshotModels;
    }

    public List<SecurityGroupModel> getSecurityGroupModels() {
        return this.securityGroupModels;
    }

    public void setSecurityGroupModels(final List<SecurityGroupModel> securityGroupModels) {
        this.securityGroupModels = securityGroupModels;
    }

    public List<RouteTableModel> getRouteTableModels() {
        return routeTableModels;
    }

    public void setRouteTableModels(List<RouteTableModel> routeTableModels) {
        this.routeTableModels = routeTableModels;
    }

    public List<KeypairModel> getKeypairModels() {
        return this.keypairModels;
    }

    public void setKeypairModels(final List<KeypairModel> keypairModels) {
        this.keypairModels = keypairModels;
    }

    public List<ElasticIpModel> getElasticIpModels() {
        return elasticIpModels;
    }

    public void setElasticIpModels(List<ElasticIpModel> elasticIpModels) {
        this.elasticIpModels = elasticIpModels;
    }
}
